html {
  font-size: 16px;
}

* {
  &:active,
  :focus {
    outline: none !important; // 1
  }
}

html,
body {
  height: 100%;
}

body {
  margin: 0;
  font-size: 1rem;
  font-family: 'BetaSTC', serif;
  display: flex;
  flex-direction: column;
  overflow-x: hidden;
  background-color: $white;
}

[dir=rtl] {
  body {
    direction: rtl;
    text-align: right;
  }
}

::-webkit-scrollbar {
  width: 4px;
  height: 7px;
 
}

::-webkit-scrollbar-track {
  background: #ECECEC;
  -webkit-box-shadow: none;
  border: 0px solid #d8d8d8;
}

::-webkit-scrollbar-thumb {
  background: $primary-purple;
  -webkit-box-shadow: none;
  border-radius: 5px;
}

::-webkit-scrollbar-thumb:hover {
  -webkit-box-shadow: inset 1px 1px 10px rgba(0, 0, 0, 0.3);
}

::-webkit-scrollbar-thumb:active {
  background: #888;
  -webkit-box-shadow: inset 1px 1px 2px rgba(0, 0, 0, 0.3);
}

app-root {
  height: 100%;
}

.hub-container {
  max-width: 1400px;
  margin: 0 auto;
  padding: 0 70px;
  @media (max-width: 768px) {
    padding: 0 16px;
  }
}

.core {
  min-height: calc(100vh - 127px);
  margin-top: 127px;  
    @include media-breakpoint-down(md) {
      min-height: 100vh ;
      margin-top: 0px; 
    }
  &.under-hub {

    @include media-breakpoint-up(md) {
      width: calc(100% - 50px);
      margin-left: 50px;
      padding: 1.5rem;
    }
  }
}

[dir='rtl'] {
  .core {
    &.under-hub {
      @include media-breakpoint-up(md) {
        margin-right: 50px;
        margin-left: 0;
      }
    }
  }
}

.border {
  border: 1px solid $light-gray !important;
}

.box-border {
  border: 2px solid $light-gray !important;
}

.border-bottom {
  border-bottom: 1px solid $light-gray !important;
}

.bb-dark-gray {
  border-bottom: 1px solid $dark-gray;
}

[dir=rtl] {
  .ml-3 {
    margin-left: 0 !important;
    margin-right: .75rem !important;
  }
}

.rounded-img {
  width: 64px;
  min-width: 64px;
  height: 64px;
  border-radius: 50%;
  overflow: hidden;

  &.small {
    width: 39px;
    min-width: 39px;
    height: 39px;
  }

  &.x-small {
    width: 28px;
    min-width: 28px;
    height: 28px;
  }

  &.semi {
    width: 52px;
    min-width: 52px;
    height: 52px;
  }

  img {
    height: 100%;
    width: 100%;
    object-fit: cover;
  }
}

.square-img {
  width: 52px;
  min-width: 52px;
  height: 52px;
  border-radius: 0;
  overflow: hidden;

  &.small {
    width: 39px;
    min-width: 39px;
    height: 39px;
  }

  &.semi {
    width: 52px;
    min-width: 52px;
    height: 52px;
  }

  img {
    height: 100%;
    width: 100%;
    object-fit: cover;
  }
}

.hex {
  margin: 30px 0;
  width: 104px;
  height: 60px;
  background-color: rgba($light-gray, .48);
  border-color: rgba($light-gray, .48);
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;

  &:before {
    content: " ";
    width: 0;
    height: 0;
    border-bottom: 30px solid;
    border-color: inherit;
    border-left: 52px solid transparent;
    border-right: 52px solid transparent;
    position: absolute;
    top: -30px;
  }

  &:after {
    content: "";
    width: 0;
    position: absolute;
    bottom: -30px;
    border-top: 30px solid;
    border-color: inherit;
    border-left: 52px solid transparent;
    border-right: 52px solid transparent;
  }
}

.mt-header {
  margin-top: 60px;
}

.stars > span, .stars > div {
  margin: 0 3px;
}

.h-40 {
  height: 40px !important;
}

.text-decoration-underline {
  text-decoration: underline;
}

.dotted-list {
  list-style: none;
  margin-bottom: 0;

  li {
    display: flex;
    align-items: baseline;
    margin: 0 -5px 10px;

    &:last-child {
      margin-bottom: 0;
    }

    &:before {
      content: "";
      min-width: 9px;
      height: 9px;
      background-color: $coral;
      margin: 0 5px;
    }
  }

  &.gray-dot {
    li {
      &:before {
        background-color: $light-gray;
      }
    }
  }

  &.dark-gray-dot {
    li {
      &:before {
        background-color: $dark-gray;
      }
    }
  }
}

.info-row-container {
  &.reverse-bg {
    .info-row {
      background-color: $off-white;
      margin-right: 0;
      margin-left: 0;

      &:nth-child(even) {
        background-color: $white;
      }
    }
  }

  .info-row {
    padding: 11px 25px;
    margin-right: -25px;
    margin-left: -25px;

    &:nth-child(even) {
      background-color: $off-white;
    }

    &.mx-row {
      margin-right: -15px;
      margin-left: -15px;
    }
  }

}

.cursor-pointer {
  cursor: pointer;
}

.w-20 {
  width: 20px;
}

.our-goal {
  //background-image: url(assets/images/our-goals.jpg);
  background-image: url("/assets/images/our-goals.jpg");
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  //height: 380px;
  position: relative;
  display: flex;
  align-items: center;

  &.hero-our-goal {
    height: 430px;
  }

  .our-goals-content {
    margin: 35px auto;
    text-align: center;
    @media (min-width: 768px) {
      width: 50%;
      margin: 50px auto;

    }

  }

  .our-goal-boxs {
    margin-bottom: 20px;
    @include media-breakpoint-up(md) {
      margin-bottom: -80px;
    }
  }

  .our-goal-card {
    min-height: 210px;
  }

  .search-section {
    width: 100%;
    height: 64px;
    @media (min-width: 768px) {
      max-width: 75%;
    }

    input {
      outline: none;
      box-shadow: none;
      background-color: transparent;
      height: 55px;
    }

    .search-input {
      background-color: $white;
      border: 0;
      height: 64px;
    }

    .custom-select-container {
      width: 150px;
      height: 64px;
      background-color: $light-gray;
      display: flex;
      justify-content: center;
    }

    .custom-selectbox {
      width: 100px;
      height: 64px;
      background-color: $light-gray;
    }

    .location {
      width: 150px;
      height: 64px;
      background-color: $light-gray;
    }

    .btn {
      width: 150px;
      height: 64px;
    }
  }
}


@include media-breakpoint-up(md) {
  .w-md-50 {
    width: 50% !important;
  }
  .w-md-75 {
    width: 75% !important;
  }
  .w-md-100 {
    width: 100% !important
  }
}

@include media-breakpoint-down(md) {
  .w-sm-50 {
    width: 50% !important;
  }
  .w-sm-75 {
    width: 75% !important;
  }
  .w-sm-100 {
    width: 100% !important
  }
  .small-gutters {
    margin-right: -7px;
    margin-left: -7px;

    > .col,
    > [class*="col-"] {
      padding-right: 7px;
      padding-left: 7px;
    }
  }
}


.cursor-pointer {
  cursor: pointer;
}

img {
  max-width: 100%;
}

.no-boxshadow {
  box-shadow: none !important;
}

.no-border-radius {
  border-radius: 0 !important;
}

.list-unstyled {
  list-style: none;
  padding: 0;
}

.h-55 {
  height: 55px !important;
}

.h-40 {
  height: 40px !important;
}

.general-box {
  border: 1px solid $light-gray;
}

.genral-border {
  border: 2px solid $light-gray;
}

.border-top {
  border-top: 1px solid $light-gray !important;
}

.border-bottom {
  border-bottom: 1px solid $light-gray !important;
}

.underline {
  text-decoration: underline;
}

.section-m {
  margin: 30px 0;
}

.meeting-type {
  width: 20px;
  height: 20px;
  display: inline-flex;
}

highcharts-chart {
  overflow: visible !important;
  width: 100%;
  flex: 1 1 auto;
}
.line-height-1{
  line-height: 1;
}

.mat-close-modal{
  width: 35px;
  height: 35px;
  display: flex;
  align-items: center;
  justify-content: center;
  &:hover{
    opacity: .9;
  }
}


swiper{
  display: block;
}
.swiper-pagination {
  position: relative !important;
  bottom: -10px !important;

  .swiper-pagination-handle {
    .swiper-pagination-bullet {
      width: 10px;
      height: 10px;
      opacity: 1;
      background: $light-gray;
      border: 1px solid $light-gray !important;
      border-radius: 50%;

      &.swiper-pagination-bullet-active {
        border: 1px solid $primary-purple !important;
        background: $primary-purple;
      }
    }
  }
}

.law-menu {
  min-height: auto !important;
}

/*
.line-height-1 {
  line-height: 1;
}



button.mat-flat-button,
button.mat-button,
.mat-menu-panel {
  border-radius: 0 !important;
}

.mat-form-field {
  line-height: 1.5 !important;
}

img {
  max-width: 100%;
}

.first-form-input {
  border-top-color: rgba(0, 0, 0, 0.42) !important;
}

.dialog-close-btn {
  &.mat-button {
    padding: 0;
    min-width: 36px;

    img {
      width: 24px;
    }
  }
}

.border-bottom {
  border-color: #cccccc;
}

.min-vh-60 {
  min-height: 60vh;
}

.no-boxshadow {
  box-shadow: none !important;
}

.no-border-radius {
  border-radius: 0 !important;
}

.list-unstyled {
  list-style: none;
  padding: 0;
}

.divider {
  border: 0.5px solid $silver;
  width: 100%;
  display: block;
  margin: 1rem 0;
}

.font-weight-medium {
  font-weight: 500;
}

.card-container {
  display: flex;

  .side-border {
    width: 10px;
    background-color: $primary-purple;
  }
}

.image-editor-dialog-container {
  .mat-dialog-container {
    background: transparent;
    box-shadow: none;
  }
}

.text-decoration-underline {
  text-decoration: underline;
}

.horizontal-divider {
  width: 1px;
  height: 100%;
  margin: 0 15px;
}

.custom-bordered-select {
  border: 2px solid $dark-gray;
  color: $dark-gray;

  .mat-form-field-wrapper {
    padding-bottom: 0 !important;
  }

  .mat-form-field-flex {
    align-items: flex-end;
  }

  .mat-select-value {
    color: $dark-gray !important;
  }

  .mat-form-field-infix {
    width: 25px;
    padding: 0 !important;
    margin: 0 !important;
    border-top: 0;
  }

  .mat-form-field-underline {
    display: none;
  }
}
*/

.table-responsive {
  display: block;
  width: 100%;
  overflow-x: auto;
  -webkit-overflow-scrolling: touch;
  .table{
    width: 100%;
  }
}

.loading-bg {
  min-height: 30px;
  background-color: #eeeeee;
  background-image: linear-gradient(90deg, #eeeeee 25%, #e6e6e6 37%, #eeeeee 63%);
  background-size: 400% 100%;
  -webkit-animation: loading-background 1.4s ease infinite;
  animation: loading-background 1.4s ease infinite;
  width: 100%;
}

.loading-bg-white {
  min-height: 30px;
  background-image: linear-gradient(90deg, #f8f8f8 25%, #e6e6e6 37%, #fff 63%);
  background-size: 400% 100%;
  -webkit-animation: loading-background 1.4s ease infinite;
  animation: loading-background 1.4s ease infinite;
  width: 100%;
}

@keyframes loading-background {
  0% {
    background-position: 100% 50%
  }
  100% {
    background-position: 0 50%
  }
}

@include media-breakpoint-down(sm) {
  .hub-container {
    padding: 0 16px;
  }
  .mat-sidenav {
    width: 100% !important;
  }
}

@include colors-bg-text;
.mat-radio-button  {
  margin-right: 70px;
  @include media-breakpoint-down(md) {
    margin-right: 50px;
}
}
.title-border{
  border-left: 9px solid $primary-purple;
}